Discover Government News



# Security update for xen

Announcement ID: SUSE-SU-2024:0830-1  
Rating: moderate  
References:

  * bsc#1027519
  * bsc#1218851
  * bsc#1219080
  * bsc#1219885

  
Cross-References:

  * CVE-2023-46839
  * CVE-2023-46840
  * CVE-2023-46841

  
CVSS scores:

  * CVE-2023-46839 ( SUSE ):  4.1 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:N/A:N
  * CVE-2023-46840 ( SUSE ):  4.1 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:N/I:H/A:N
  * CVE-2023-46841 ( SUSE ):  6.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H

  
Affected Products:

  * Basesystem Module 15-SP5
  * openSUSE Leap 15.5
  * Server Applications Module 15-SP5
  * SUSE Linux Enterprise Desktop 15 SP5
  * SUSE Linux Enterprise High Performance Computing 15 SP5
  * SUSE Linux Enterprise Micro 5.5
  * SUSE Linux Enterprise Real Time 15 SP5
  * SUSE Linux Enterprise Server 15 SP5
  * SUSE Linux Enterprise Server for SAP Applications 15 SP5

  
  
An update that solves three vulnerabilities and has one security fix can now be
installed.

## Description:

This update for xen fixes the following issues:

  * CVE-2023-46839: Fixed memory access through PCI device with phantom
    functions (XSA-449) (bsc#1218851).
  * CVE-2023-46840: Fixed Failure to quarantine devices in !HVM builds (XSA-450)
    (bsc#1219080).
  * CVE-2023-46841: Fixed shadow stack vs exceptions from emulation stubs
    (XSA-451) (bsc#1219885).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.5  
    zypper in -t patch SUSE-2024-830=1 openSUSE-SLE-15.5-2024-830=1

  * SUSE Linux Enterprise Micro 5.5  
    zypper in -t patch SUSE-SLE-Micro-5.5-2024-830=1

  * Basesystem Module 15-SP5  
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP5-2024-830=1

  * Server Applications Module 15-SP5  
    zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP5-2024-830=1

## Package List:

  * openSUSE Leap 15.5 (aarch64 x86_64 i586)
    * xen-devel-4.17.3_06-150500.3.24.1
    * xen-tools-domU-4.17.3_06-150500.3.24.1
    * xen-libs-4.17.3_06-150500.3.24.1
    * xen-debugsource-4.17.3_06-150500.3.24.1
    * xen-tools-domU-debuginfo-4.17.3_06-150500.3.24.1
    * xen-libs-debuginfo-4.17.3_06-150500.3.24.1
  * openSUSE Leap 15.5 (x86_64)
    * xen-libs-32bit-debuginfo-4.17.3_06-150500.3.24.1
    * xen-libs-32bit-4.17.3_06-150500.3.24.1
  * openSUSE Leap 15.5 (aarch64 x86_64)
    * xen-doc-html-4.17.3_06-150500.3.24.1
    * xen-4.17.3_06-150500.3.24.1
    * xen-tools-4.17.3_06-150500.3.24.1
    * xen-tools-debuginfo-4.17.3_06-150500.3.24.1
  * openSUSE Leap 15.5 (noarch)
    * xen-tools-xendomains-wait-disk-4.17.3_06-150500.3.24.1
  * openSUSE Leap 15.5 (aarch64_ilp32)
    * xen-libs-64bit-4.17.3_06-150500.3.24.1
    * xen-libs-64bit-debuginfo-4.17.3_06-150500.3.24.1
  * SUSE Linux Enterprise Micro 5.5 (x86_64)
    * xen-debugsource-4.17.3_06-150500.3.24.1
    * xen-libs-debuginfo-4.17.3_06-150500.3.24.1
    * xen-libs-4.17.3_06-150500.3.24.1
  * Basesystem Module 15-SP5 (x86_64)
    * xen-tools-domU-4.17.3_06-150500.3.24.1
    * xen-libs-4.17.3_06-150500.3.24.1
    * xen-debugsource-4.17.3_06-150500.3.24.1
    * xen-tools-domU-debuginfo-4.17.3_06-150500.3.24.1
    * xen-libs-debuginfo-4.17.3_06-150500.3.24.1
  * Server Applications Module 15-SP5 (x86_64)
    * xen-tools-debuginfo-4.17.3_06-150500.3.24.1
    * xen-devel-4.17.3_06-150500.3.24.1
    * xen-tools-4.17.3_06-150500.3.24.1
    * xen-debugsource-4.17.3_06-150500.3.24.1
    * xen-4.17.3_06-150500.3.24.1
  * Server Applications Module 15-SP5 (noarch)
    * xen-tools-xendomains-wait-disk-4.17.3_06-150500.3.24.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-46839.html
  * https://www.suse.com/security/cve/CVE-2023-46840.html
  * https://www.suse.com/security/cve/CVE-2023-46841.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1027519
  * https://bugzilla.suse.com/show_bug.cgi?id=1218851
  * https://bugzilla.suse.com/show_bug.cgi?id=1219080
  * https://bugzilla.suse.com/show_bug.cgi?id=1219885

SUSE: 2024:0830-1 moderate: xen

March 11, 2024
* bsc#1027519 * bsc#1218851 * bsc#1219080 * bsc#1219885

Summary

## This update for xen fixes the following issues: * CVE-2023-46839: Fixed memory access through PCI device with phantom functions (XSA-449) (bsc#1218851). * CVE-2023-46840: Fixed Failure to quarantine devices in !HVM builds (XSA-450) (bsc#1219080). * CVE-2023-46841: Fixed shadow stack vs exceptions from emulation stubs (XSA-451) (bsc#1219885). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.5 zypper in -t patch SUSE-2024-830=1 openSUSE-SLE-15.5-2024-830=1 * SUSE Linux Enterprise Micro 5.5 zypper in -t patch SUSE-SLE-Micro-5.5-2024-830=1 * Basesystem Module 15-SP5 zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP5-2024-830=1 * Server Applications Module 15-SP5 zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP5-2024-830=1 ## Package List: * openSUSE Leap 15.5 (aarch64 x86_64 i586) * xen-devel-4.17.3_06-150500.3.24.1 * xen-tools-domU-4.17.3_06-150500.3.24.1 * xen-libs-4.17.3_06-150500.3.24.1 * xen-debugsource-4.17.3_06-150500.3.24.1 * xen-tools-domU-debuginfo-4.17.3_06-150500.3.24.1 * xen-libs-debuginfo-4.17.3_06-150500.3.24.1 * openSUSE Leap 15.5 (x86_64) * xen-libs-32bit-debuginfo-4.17.3_06-150500.3.24.1 * xen-libs-32bit-4.17.3_06-150500.3.24.1 * openSUSE Leap 15.5 (aarch64 x86_64) * xen-doc-html-4.17.3_06-150500.3.24.1 * xen-4.17.3_06-150500.3.24.1 * xen-tools-4.17.3_06-150500.3.24.1 * xen-tools-debuginfo-4.17.3_06-150500.3.24.1 * openSUSE Leap 15.5 (noarch) * xen-tools-xendomains-wait-disk-4.17.3_06-150500.3.24.1 * openSUSE Leap 15.5 (aarch64_ilp32) * xen-libs-64bit-4.17.3_06-150500.3.24.1 * xen-libs-64bit-debuginfo-4.17.3_06-150500.3.24.1 * SUSE Linux Enterprise Micro 5.5 (x86_64) * xen-debugsource-4.17.3_06-150500.3.24.1 * xen-libs-debuginfo-4.17.3_06-150500.3.24.1 * xen-libs-4.17.3_06-150500.3.24.1 * Basesystem Module 15-SP5 (x86_64) * xen-tools-domU-4.17.3_06-150500.3.24.1 * xen-libs-4.17.3_06-150500.3.24.1 * xen-debugsource-4.17.3_06-150500.3.24.1 * xen-tools-domU-debuginfo-4.17.3_06-150500.3.24.1 * xen-libs-debuginfo-4.17.3_06-150500.3.24.1 * Server Applications Module 15-SP5 (x86_64) * xen-tools-debuginfo-4.17.3_06-150500.3.24.1 * xen-devel-4.17.3_06-150500.3.24.1 * xen-tools-4.17.3_06-150500.3.24.1 * xen-debugsource-4.17.3_06-150500.3.24.1 * xen-4.17.3_06-150500.3.24.1 * Server Applications Module 15-SP5 (noarch) * xen-tools-xendomains-wait-disk-4.17.3_06-150500.3.24.1

References

* bsc#1027519

* bsc#1218851

* bsc#1219080

* bsc#1219885

Cross-

* CVE-2023-46839

* CVE-2023-46840

* CVE-2023-46841

CVSS scores:

* CVE-2023-46839 ( SUSE ): 4.1 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:N/A:N

* CVE-2023-46840 ( SUSE ): 4.1 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:N/I:H/A:N

* CVE-2023-46841 ( SUSE ): 6.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H

Affected Products:

* Basesystem Module 15-SP5

* openSUSE Leap 15.5

* Server Applications Module 15-SP5

* SUSE Linux Enterprise Desktop 15 SP5

* SUSE Linux Enterprise High Performance Computing 15 SP5

* SUSE Linux Enterprise Micro 5.5

* SUSE Linux Enterprise Real Time 15 SP5

* SUSE Linux Enterprise Server 15 SP5

* SUSE Linux Enterprise Server for SAP Applications 15 SP5

An update that solves three vulnerabilities and has one security fix can now be

installed.

##

* https://www.suse.com/security/cve/CVE-2023-46839.html

* https://www.suse.com/security/cve/CVE-2023-46840.html

* https://www.suse.com/security/cve/CVE-2023-46841.html

* https://bugzilla.suse.com/show_bug.cgi?id=1027519

* https://bugzilla.suse.com/show_bug.cgi?id=1218851

* https://bugzilla.suse.com/show_bug.cgi?id=1219080

* https://bugzilla.suse.com/show_bug.cgi?id=1219885

Severity
Announcement ID: SUSE-SU-2024:0830-1
Rating: moderate

Related News